# *
# *	Copyright (c) 2000 Alberto Reggiori / <alberto.reggiori@jrc.it>
# *	ISIS/RIT, Joint Research Center Ispra (I)
# *
# * NOTICE
# *
# * This product is distributed under a BSD/ASF like license as described in the 'LICENSE'
# * file you should have received together with this source code. If you did not get a
# * a copy of such a license agreement you can pick up one at:
# *
# *     http://xml.jrc.it/RDFStore/LICENSE
# *
# *
package RDF::Model;
{
use RDF::RDFNode;
use RDF::Resource;
use RDF::Literal;
use RDF::Statement;

use Carp;

@RDF::Model::ISA = qw( RDF::Resource );

sub new {
    bless $_[0]->SUPER::new(), $_[0];
};

sub setSourceURI {
};

sub getSourceURI {
};

sub size {
};

sub isEmpty {
};

sub elements {
};

sub contains {
	croak "Statement ".$_[1]." is not instance of RDF::Statement"
		unless( (not(defined $_[1])) ||
			($_[1]->isa('RDF::Statement')) );
};

sub add {
	croak "Statement ".$_[1]." is not instance of RDF::Statement"
		unless( (not(defined $_[1])) ||
			($_[1]->isa('RDF::Statement')) );
};

sub remove {
	croak "Statement ".$_[1]." is not instance of RDF::Statement"
		unless( (not(defined $_[1])) ||
			($_[1]->isa('RDF::Statement')) );
};

sub isMutable {
};

sub find {
	croak "Subject ".$_[1]." is not instance of RDF::Resource"
		unless( (not(defined $_[1])) ||
			($_[1]->isa('RDF::Resource')) );
	croak "Predicate ".$_[2]." is not instance of RDF::Resource"
		unless( (not(defined $_[2])) ||
			($_[2]->isa('RDF::Resource')) );
	croak "Object ".$_[3]." is not instance of RDF::RDFNode"
		unless( (not(defined $_[3])) ||
			($_[3]->isa('RDF::RDFNode')) );
};

sub duplicate {
};

sub create {
};

sub getNodeFactory {
};

1;
};

__END__

=head1 NAME

RDF::Model - definiton of the Model RDF API

=head1 SYNOPSIS

  use RDF::Model
  my $model = new RDF::Model();

=head1 DESCRIPTION

This is just the interface definition. If you are more interested to an example implementation see RDF::Store::Model(3)

=head1 SEE ALSO

RDF::Store::Model(3)

=head1 AUTHOR

	Alberto Reggiori <alberto.reggiori@jrc.it>
