# *
# *	Copyright (c) 2000 Alberto Reggiori / <alberto.reggiori@jrc.it>
# *	ISIS/RIT, Joint Research Center Ispra (I)
# *
# * NOTICE
# *
# * This product is distributed under a BSD/ASF like license as described in the 'LICENSE'
# * file you should have received together with this source code. If you did not get a
# * a copy of such a license agreement you can pick up one at:
# *
# *     http://xml.jrc.it/RDFStore/LICENSE
# *
# *
package RDF::Store::Resource;
{
use RDF::Resource;
use RDF::Store::RDFNode;

@RDF::Store::Resource::ISA = qw( RDF::Store::RDFNode RDF::Resource );

sub new {
    bless $_[0]->SUPER::new($_[1]),$_[0];
};

sub getURI {
	return $_[0]->{label};
};

sub equals {
        if ($_[0] == $_[1]) {
                return 1;
        };
        if ( (not(defined $_[1])) || !($_[1]->isa("RDF::Resource"))) {
                return 0;
        };
        return $_[0]->SUPER::equals($_[1]);
};

1;
};

__END__

=head1 NAME

RDF::Store::Resource - implementation of the Resource RDF API

=head1 SYNOPSIS

  use RDF::Store::Resource;
  my $resource = new RDF::Store::Resource("http://pen.jrc.it/idex.html");

=head1 DESCRIPTION

An RDF::Resource implementation using Digested URIs.

=head1 SEE ALSO

RDF::Resource(3) Digest(3) RDF::Store::RDFNode(3)

=head1 AUTHOR

	Alberto Reggiori <alberto.reggiori@jrc.it>
